import * as $dara from '@darabonba/typescript';
import { ModifyDiskDefaultKMSKeyIdResponseBody } from "./ModifyDiskDefaultKmskeyIdResponseBody";
export declare class ModifyDiskDefaultKMSKeyIdResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyDiskDefaultKMSKeyIdResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
